import es

import __init__ as sh

info = es.AddonInfo()
info.name = 'Script helper script'
info.basename = 'sh'
info.description = 'Provides some helper functions for other scripts'
info.url = 'http://addons.eventscripts.com/addons/view/sh'
info.author = 'GODJonez'
info.version = '1.0'


def load():
    if not es.exists('command', 'holdindexprop'):
        es.regcmd('sh_holdindexprop', '%s/holdcmd'%info.basename, 'Holds index prop at specified value for x seconds')
        es.regcmd('sh_linearindexprop', '%s/linearcmd'%info.basename, 'Alters index prop value linearly')

def holdcmd():
    if es.getargc() < 5:
        es.dbgmsg(0, 'Syntax: sh_holdindexprop <entity index> <property> <value> <time>')
        es.dbgmsg(0, 'Holds the property value for specified number of seconds')
        return False
    index = int(es.getargv(1))
    prop = str(es.getargv(2))
    value = es.getargv(3)
    secs = float(es.getargv(4))
    sh.holdindexprop(index,prop,value,secs)
    return True


def linearcmd():
    if es.getargc() < 6:
        es.dbgmsg(0, 'Syntax: sh_linearindexprop <entity index> <property> <start value> <end value> <time>')
        es.dbgmsg(0, 'Slides the property value linearly from start to end')
        return False
    index = int(es.getargv(1))
    prop = str(es.getargv(2))
    value1 = es.getargv(3)
    value2 = es.getargv(4)
    secs = float(es.getargv(5))
    sh.linearindexprop(index,prop,value1,value2,secs)
    return True
